Subject: [Teas] clarification to actn-vn-yang

From: "Ogaki, Kenichi" <[email-masked]>
Date: Fri, 10 Jul 2020 19:53:54 +0900

Hi actn-vn-yang authors,

Can I clarify the following two questions?

1) consideration of the key network performance constraints

I'd like to clarify how actn-vn-yang considers key network performance constraints in the sense of RFC8233 Appendix A, latency, delay variation, loss,...?

As an operator, we at KDDI are internally discussing to adopt actn-vn-yang to compute/setup VN (topology) as NBI consumed by our OSS/BSS corresponding to CNC. Then, we ask you to accommodate the consideration of the key network performance constraints into the model, for example at the same level of vn-level-diversity in both a vn-list entity and vn-compute/input.

As the same context, actn-pm-telemetry-autonomics, some authors overwrap, already considers the key network performance data and compute/setup VN as autonomic scaling intent as follows. In that sense, CMI of ACTN must support this capability and it's natural for actn-vn-yang to do so, too.

actn-pm-telemetry-autonomics says:
2.  Use-Cases
   o  Customer services have various Service Level Agreement (SLA)
      requirements, such as service availability, latency, latency
      jitter, packet loss rate, Bit Error Rate (BER), etc.  The
      transport network can satisfy service availability and BER
      requirements by providing different protection and restoration
      mechanisms.  However, for other performance parameters, there are
      no such mechanisms.  In order to provide high quality services
      according to customer SLA, one possible solution is to measure the
      SLA related performance parameters, and dynamically provision and
      optimize services based on the performance monitoring results.

3.2.  VN KPI Telemetry Model
   This module also allows autonomic traffic engineering scaling intent configuration mechanism on the VN
   level.

4.  Autonomic Scaling Intent Mechanism
   o  performance-type: performance metric type (e.g., one-way-delay,
      one-way-delay-min, one-way-delay-max, two-way-delay, two-way-
      delay-min, two-way-delay-max, utilized bandwidth, etc.)

   o  threshold-value: the threshold value for a certain performance-
      type that triggers scale-in or scale-out.

2) VNAP level bandwidth control

The current model can indicate the max/available bandwidth to Access Point corresponding to (physical) customer's end point. However, we also want to do so at Virtual Network Access Point level, which corresponds to traffic engineering of vn-member level. Is there any problem?

We of course understand augmentations to solve these requirements, but we believe these are general requirements, and then desire to accommodate to the model.

Thanks in advance,
Kenichi

-- 
Kenichi Ogaki
KDDI Corp. | Operation Automation Promotion Dept.
+81-(0)80-5945-9138 | www.kddi.com

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 14 Jul 2020 00:22:11 +0530

Hi Kenichi,

Thank you for your comments and insight.

On Fri, Jul 10, 2020 at 4:34 PM Ogaki, Kenichi <[email-masked]> wrote:

> I'd like to clarify how actn-vn-yang considers key network performance
> constraints in the sense of RFC8233 Appendix A, latency, delay variation,
> loss,...?
>
>
We rely on the te-topology connectivity matrix for this. Refer the
path-metric-bounds and optimization, there based on the metric-types these
can be supported. The common te-types in RFC 8776 include some of them and
I would guess other modules would augment more types.

> As an operator, we at KDDI are internally discussing to adopt actn-vn-yang
> to compute/setup VN (topology) as NBI consumed by our OSS/BSS corresponding
> to CNC. Then, we ask you to accommodate the consideration of the key
> network performance constraints into the model, for example at the same
> level of vn-level-diversity in both a vn-list entity and vn-compute/input.
>
>
This was our approach initially, but the WG did not like that and wanted us
to re-use the existing TE topology model, and thus we came up with an
approach where a reference to an abstract node (of the TE topology YANG
model) is put in VN Yang model and we rely on the connectivity-matrix
structure to assign the constraints. See the backup pages in
https://datatracker.ietf.org/meeting/105/materials/slides-105-teas-sessb-04-a-yang-data-model-for-vn-operation-00.
I have added some descriptions in the appendix as well in the latest
version.

> As the same context, actn-pm-telemetry-autonomics, some authors overwrap,
> already considers the key network performance data and compute/setup VN as
> autonomic scaling intent as follows. In that sense, CMI of ACTN must
> support this capability and it's natural for actn-vn-yang to do so, too.
>
You are correct to note that this model provides the (1) measured telemetry
data and (2) specify threshold based on different metric-type on for
scaling purposes. This is a new advanced feature defined in this I-D for
the first time.

But, the WG felt that specifying constraints at the time of VN creation can
be achieved by the existing connectivity matrix construct and thus we were
asked to reuse it.

> The current model can indicate the max/available bandwidth to Access Point
> corresponding to (physical) customer's end point. However, we also want to
> do so at Virtual Network Access Point level, which corresponds to traffic
> engineering of vn-member level. Is there any problem?
>
>
My initial feeling was we could get it from the bandwidth at the VN-member
level but I think it would be still useful to put it in vnap as well. I
have added it now.

Thanks!
Dhruv

>
> We of course understand augmentations to solve these requirements, but we
> believe these are general requirements, and then desire to accommodate to
> the model.
>
> Thanks in advance,
> Kenichi
>
> --
> Kenichi Ogaki

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Tue, 14 Jul 2020 14:37:38 +0900

Hi Dhruv,

Thank you for the clarification.

Even though I just looked through the section 7 and doesn't feel intuitive, I understand the situation.

If we require any performance constraint to VN topology, CNC must post te-topo with a connection matrix along with the constraint, in the case of section 3.1.
For example, path-metric-bounds should be set to path-constraints of connectivity-matrices instead of bandwidth-generic in section 7.2 example.
We will check carefully if this meets what we want.

>My initial feeling was we could get it from the bandwidth at the VN-member level but I think it would be still useful to put it in vnap as well. I have added it now.

The -09 version added max-bandwidth under vn-ap entry, but ro (operational) data. What do you intend this? You mean that we should set vn-member level bandwidth constraints with te-topo as well, and just retrieve the ro data from this model..

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 3:52 AM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG ([email-masked]) <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

On Fri, Jul 10, 2020 at 4:34 PM Ogaki, Kenichi <[email-masked] <mailto:[email-masked]> > wrote:

	Hi actn-vn-yang authors,

	

We rely on the te-topology connectivity matrix for this. Refer the path-metric-bounds and optimization, there based on the metric-types these can be supported. The common te-types in RFC 8776 include some of them and I would guess other modules would augment more types. 

This was our approach initially, but the WG did not like that and wanted us to re-use the existing TE topology model, and thus we came up with an approach where a reference to an abstract node (of the TE topology YANG model) is put in VN Yang model and we rely on the connectivity-matrix structure to assign the constraints. See the backup pages in https://datatracker.ietf.org/meeting/105/materials/slides-105-teas-sessb-04-a-yang-data-model-for-vn-operation-00.. I have added some descriptions in the appendix as well in the latest version. 

	

You are correct to note that this model provides the (1) measured telemetry data and (2) specify threshold based on different metric-type on for scaling purposes. This is a new advanced feature defined in this I-D for the first time. 

But, the WG felt that specifying constraints at the time of VN creation can be achieved by the existing connectivity matrix construct and thus we were asked to reuse it.  

My initial feeling was we could get it from the bandwidth at the VN-member level but I think it would be still useful to put it in vnap as well. I have added it now. 

Thanks! 
Dhruv

	Thanks in advance,
	Kenichi
	
	-- 
	Kenichi Ogaki
	KDDI Corp. | Operation Automation Promotion Dept.
	+81-(0)80-5945-9138 | www.kddi.com <http://www.kddi.com>

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 14 Jul 2020 12:33:51 +0530

Hi Kenichi,

> Even though I just looked through the section 7 and doesn't feel intuitive, I understand the situation.

Please let us know if you have any suggestions to improve it.

> We will check carefully if this meets what we want.

Sure!

> The -09 version added max-bandwidth under vn-ap entry, but ro (operational) data. What do you intend this? You mean that we should set vn-member level bandwidth constraints with te-topo as well, an…

That is correct!

Thanks!
Dhruv

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Wed, 15 Jul 2020 09:01:18 +0900

Hi Dhruv,

Thanks you for the prompt reply.

>Please let us know if you have any suggestions to improve it.

Although I may bring up the old discussion again, for the usability purpose from an operator perspective, could you add path-constraints to at least vn-compute/input?

We don't mind using te-topo behind this model, however, as a customer service model, we believe more abstraction to the provider interface (CMI) is desired.
At least, if the consumer of CMI could conduct vn-compute/input without taking care of the detail, i.e. te-topo (connectivity matrix), and get the necessary te-topo as the output, then the consumer only have to refer the output te-topo instance in order to initiate the actual vn.

How do you think?

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 4:04 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

Sure!

That is correct!

Thanks!
Dhruv

>         We of course understand augmentations to solve these requirements, but we believe these are general requirements, and then desire to accommodate to the model.

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: Daniele Ceccarelli <[email-masked]>
Date: Wed, 15 Jul 2020 13:58:51 +0000

Hi Kenichi san,

Personally i totally agree with you. As Dhruv said there was a discussion in the working group and some authors liked the approach you are proposing (it was part of one of the older versions of the draft). 
Maybe we can discuss about this during IETF 108?

BR
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Ogaki, Kenichi
Sent: den 15 juli 2020 02:01
To: 'Dhruv Dhody' <[email-masked]>
Cc: '丹羽 朝信' <[email-masked]>; [email-masked]; '宮坂 拓也' <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Dhruv,

How do you think?

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 4:04 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

Sure!

That is correct!

Thanks!
Dhruv

---

From: "Tomonobu Niwa" <[email-masked]>
Date: Thu, 16 Jul 2020 15:32:31 +0900

Hi Daniele and Dhruv,

Yes, on behalf of Kenichi-san, let me suggest an offline meeting for the discussion.

The reason why:
1. From KDDI side, Takuya and I will join the IETF 108. Kenichi-san, however, had no plan to join IETF 108 originally. (registration is necessary...)
2. In TEAS WG on 27 July, you have 10 minutes slot for actn-yang-model update. I think there is no enough time to discuss in this slot.

So, could you arrange an offline meeting during IETF 108? 11:00-13:50, 30 July (UTC) is convenient for us. Also, it might be better to announce the offline meeting in the actn-yang-model update presentation to gather opinions widely.

Best regards,
Tomo

---
************************************************************
Tomonobu Niwa
KDDI Corporation
TEL: +81-80-5074-9346
E-Mail: [email-masked]
************************************************************

-----Original Message-----
From: Daniele Ceccarelli <[email-masked]> 
Sent: Wednesday, July 15, 2020 10:59 PM
To: 大垣 健一 <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] clarification to actn-vn-yang

Hi Kenichi san,

BR
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Ogaki, Kenichi
Sent: den 15 juli 2020 02:01
To: 'Dhruv Dhody' <[email-masked]>
Cc: '丹羽 朝信' <[email-masked]>; [email-masked]; '宮坂 拓也' <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Dhruv,

How do you think?

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 4:04 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

Sure!

That is correct!

Thanks!
Dhruv

---

From: Daniele Ceccarelli <[email-masked]>
Date: Fri, 17 Jul 2020 14:43:32 +0000

Hi Tomo-san,

Ok to arrange the offline meeting but I would suggest to have it next week, as during the IETF week people will be super busy to follow meetings here and there.
Moreover the result of the discussion can be presented during the slot in the TEAS session.
Obviously anyone from the WG is more than welcome to join.

Thanks
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Tomonobu Niwa
Sent: den 16 juli 2020 08:33
To: Daniele Ceccarelli <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: [email-masked]; 大垣 健一 <[email-masked]>; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Daniele and Dhruv,

The reason why:
1. From KDDI side, Takuya and I will join the IETF 108. Kenichi-san, however, had no plan to join IETF 108 originally. (registration is necessary...) 2. In TEAS WG on 27 July, you have 10 minutes slot for actn-yang-model update. I think there is no enough time to discuss in this slot.

Best regards,
Tomo

---

-----Original Message-----
From: Daniele Ceccarelli <[email-masked]>
Sent: Wednesday, July 15, 2020 10:59 PM
To: 大垣 健一 <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] clarification to actn-vn-yang

Hi Kenichi san,

BR
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Ogaki, Kenichi
Sent: den 15 juli 2020 02:01
To: 'Dhruv Dhody' <[email-masked]>
Cc: '丹羽 朝信' <[email-masked]>; [email-masked]; '宮坂 拓也' <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Dhruv,

How do you think?

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 4:04 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

Sure!

That is correct!

Thanks!
Dhruv

> Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 
> 宮坂 拓也 <[email-masked]>; TEAS WG ([email-masked]) <[email-masked]>

---

From: Greg Mirsky <[email-masked]>
Date: Sat, 18 Jul 2020 18:52:02 -0700

Hi Druv,
in your response you've mentioned:
"... this model provides the (1) measured telemetry data .."
Does that apply to the performance metrics listed in Use Cases:
     Customer services have various Service Level Agreement (SLA)
      requirements, such as service availability, latency, latency
      jitter, packet loss rate, Bit Error Rate (BER), etc.
If "yes", I would greatly appreciate it if you can reference measurement
methodology for service availability, latency jitter, and packet loss rate.

Regards,
Greg

On Mon, Jul 13, 2020 at 11:52 AM Dhruv Dhody <[email-masked]> wrote:

>> constraints in the sense of RFC8233 Appendix A, latency, delay
>> variation, loss,...?
>>
>>
>> As an operator, we at KDDI are internally discussing to adopt
>> actn-vn-yang to compute/setup VN (topology) as NBI consumed by our OSS/BSS
>> corresponding to CNC. Then, we ask you to accommodate the consideration of
>> the key network performance constraints into the model, for example at the
>> same level of vn-level-diversity in both a vn-list entity and
>> vn-compute/input.
>>
>>
> This was our approach initially, but the WG did not like that and wanted
> us to re-use the existing TE topology model, and thus we came up with an
> https://datatracker.ietf.org/meeting/105/materials/slides-105-teas-sessb-04-a-yang-data-model-for-vn-operation-00..
> You are correct to note that this model provides the (1) measured
> telemetry data and (2) specify threshold based on different metric-type on
> for scaling purposes. This is a new advanced feature defined in this I-D
> for the first time.
>
> But, the WG felt that specifying constraints at the time of VN creation
> can be achieved by the existing connectivity matrix construct and thus we
> were asked to reuse it.
>
>
>>
>> The current model can indicate the max/available bandwidth to Access
>> Point corresponding to (physical) customer's end point. However, we also
>> want to do so at Virtual Network Access Point level, which corresponds to
>> traffic engineering of vn-member level. Is there any problem?
>>
>>

---

From: Dhruv Dhody <[email-masked]>
Date: Sun, 19 Jul 2020 10:05:55 +0530

Hi Greg,

Good suggestion. I can use your help to hunt those references down. I
will reach out to you offline.

Have a good weekend!

Thanks!
Dhruv

On Sun, Jul 19, 2020 at 7:22 AM Greg Mirsky <[email-masked]> wrote:
> If "yes", I would greatly appreciate it if you can reference measurement methodology for service availability, latency jitter, and packet loss rate.
>
> Regards,
> Greg
>

---

From: "Tomonobu Niwa" <[email-masked]>
Date: Mon, 20 Jul 2020 08:59:08 +0900

Hi Daniele,

Thank you for your reply. I agree with you. We would have a meeting after the IETF.

Best regards,
Tomo

-----Original Message-----
From: Daniele Ceccarelli <[email-masked]> 
Sent: Friday, July 17, 2020 11:44 PM
To: 丹羽 朝信 <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: [email-masked]; 大垣 健一 <[email-masked]>; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] clarification to actn-vn-yang

Hi Tomo-san,

Thanks
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Tomonobu Niwa
Sent: den 16 juli 2020 08:33
To: Daniele Ceccarelli <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: [email-masked]; 大垣 健一 <[email-masked]>; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Daniele and Dhruv,

The reason why:

Best regards,
Tomo

---

-----Original Message-----
From: Daniele Ceccarelli <[email-masked]>
Sent: Wednesday, July 15, 2020 10:59 PM
To: 大垣 健一 <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] clarification to actn-vn-yang

Hi Kenichi san,

BR
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Ogaki, Kenichi
Sent: den 15 juli 2020 02:01
To: 'Dhruv Dhody' <[email-masked]>
Cc: '丹羽 朝信' <[email-masked]>; [email-masked]; '宮坂 拓也' <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Dhruv,

How do you think?

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 4:04 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

Sure!

That is correct!

Thanks!
Dhruv

---

From: "Tomonobu Niwa" <[email-masked]>
Date: Mon, 20 Jul 2020 10:35:47 +0900

Hi Daniele,

I made misunderstanding. Yes. we can have a meeting in this week. Could you suggest time slot ?

Best regards,
Tomo

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Tomonobu Niwa
Sent: Monday, July 20, 2020 8:59 AM
To: 'Daniele Ceccarelli' <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: [email-masked]; 大垣 健一 <[email-masked]>; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Daniele,

Best regards,
Tomo

-----Original Message-----
From: Daniele Ceccarelli <[email-masked]> 
Sent: Friday, July 17, 2020 11:44 PM
To: 丹羽 朝信 <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: [email-masked]; 大垣 健一 <[email-masked]>; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] clarification to actn-vn-yang

Hi Tomo-san,

Thanks
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Tomonobu Niwa
Sent: den 16 juli 2020 08:33
To: Daniele Ceccarelli <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: [email-masked]; 大垣 健一 <[email-masked]>; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Daniele and Dhruv,

The reason why:

Best regards,
Tomo

---

-----Original Message-----
From: Daniele Ceccarelli <[email-masked]>
Sent: Wednesday, July 15, 2020 10:59 PM
To: 大垣 健一 <[email-masked]>; 'Dhruv Dhody' <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: RE: [Teas] clarification to actn-vn-yang

Hi Kenichi san,

BR
Daniele  

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Ogaki, Kenichi
Sent: den 15 juli 2020 02:01
To: 'Dhruv Dhody' <[email-masked]>
Cc: '丹羽 朝信' <[email-masked]>; [email-masked]; '宮坂 拓也' <[email-masked]>; 'TEAS WG' <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Dhruv,

How do you think?

Thanks,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of Dhruv Dhody
Sent: Tuesday, July 14, 2020 4:04 PM
To: Ogaki, Kenichi <[email-masked]>
Cc: 丹羽 朝信 <[email-masked]>; [email-masked]; 宮坂 拓也 <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] clarification to actn-vn-yang

Hi Kenichi,

Sure!

That is correct!

Thanks!
Dhruv